Skip to main content
GET
https://enterprise.spacemedia.uk
/
api
/
v1
/
users
/
{uuid}
/
artists
List User Artists
curl --request GET \
  --url https://enterprise.spacemedia.uk/api/v1/users/{uuid}/artists \
  --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://enterprise.spacemedia.uk/api/v1/users/{uuid}/artists', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://enterprise.spacemedia.uk/api/v1/users/{uuid}/artists",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
import requests

url = "https://enterprise.spacemedia.uk/api/v1/users/{uuid}/artists"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "data": [
    {
      "id": "4cbb71fa-6e92-4a8b-9c3d-0b6811ef6f1b",
      "uuid": "4cbb71fa-6e92-4a8b-9c3d-0b6811ef6f1b",
      "name": "Nova Vale",
      "url": "/artists/4cbb71fa-6e92-4a8b-9c3d-0b6811ef6f1b",
      "viewUrl": "/artists/4cbb71fa-6e92-4a8b-9c3d-0b6811ef6f1b",
      "editRoute": "/artists/4cbb71fa-6e92-4a8b-9c3d-0b6811ef6f1b/edit",
      "artist_type": "Primary Artist",
      "spotify_id": "6dDemoNovaVale",
      "releases_count": 1,
      "tracks_count": 2,
      "total_releases": 1,
      "total_tracks": 2,
      "total_streams": 125000,
      "metadata": {
        "country": "GB"
      },
      "created_at": "2026-03-22T11:00:00+00:00",
      "updated_at": "2026-04-15T10:20:00+00:00"
    }
  ]
}
{
  "success": false,
  "message": "Missing bearer token"
}
{
  "success": false,
  "message": "This action is unauthorized."
}
{
  "success": false,
  "message": "Resource not found"
}
{
  "success": false,
  "message": "Validation failed.",
  "errors": {
    "title": [
      "The title field is required."
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
string

Use application/json for API responses.

Authorization
string

Bearer access token. Use Bearer <YOUR_ACCESS_TOKEN>.

Path Parameters

uuid
integer
required
id
string
required

The ID of the user.

Query Parameters

Search term scoped to the authenticated organization.

Response

Success

The response is of type object.